SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003410: OpenVPN could not change port or protocol - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003410Endian FirewallVPN - OpenVPNpublic2010-12-30 14:542011-02-18 14:45
Reporterardit-endian 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target VersionFixed in Version2.4.1 
Summary0003410: OpenVPN could not change port or protocol
DescriptionOpenVPN => Advanced could not change the port and either the protocol , if I set it to TCP than save, it returns to be UDP, and the same behaviour happens with the port number.

The settings is written on the file /var/efw/openvpn/settings but is not implemented by the system and this "saved" settings are not displayed in the interface.

EXAMPLE:

From GUI :
I changed 1194 to 1121 and UDP to TCP but after the save the settings were back to 1194/UDP

From CLI : (configuration file)

:~ # cat /var/efw/openvpn/settings
--__---__--
PORT=1121
PROTOCOL=tcp
---__----_---

Restarting OpenVPN server:
[OK]

root@kenny:~ # netstat -ulptan | grep openvpn
tcp 0 0 127.0.0.1:5555 0.0.0.0:* LISTEN 13904/openvpn
udp 0 0 0.0.0.0:1194 0.0.0.0:* 13904/openvpn


As you can see the process is listening on the wrong port and is using the wrong protocol

Again ;

root@kenny:~ # cat /var/efw/openvpn/settings
........._---::.--
PORT=1121
PROTOCOL=tcp
__.-.__-.-.-.
Additional InformationOpneVPN version :

openvpn-2.1.1-15.endian22
Tagspurple
Attached Files

- Relationships
has duplicate 0003309feedbackpeter-endian Can not change port openvpn uses 

-  Notes
(0005442)
baldy (reporter)
2011-01-03 17:39

Hi Ardit,

Issue was already reported, but with less detail.

http://bugs.endian.com/view.php?id=3309 [^]

Regards Baldy

- Issue History
Date Modified Username Field Change
2010-12-30 14:54 ardit-endian New Issue
2010-12-30 14:54 ardit-endian Tag Attached: purple
2011-01-03 17:39 baldy Note Added: 0005442
2011-01-04 07:58 ra-endian Relationship added has duplicate 0003309
2011-01-21 16:03 lorenzo-endian Status new => confirmed
2011-01-25 10:19 ra-endian Customer Occurencies => 0
2011-01-27 15:20 ardit-endian Customer Occurencies 0 => 2-3
2011-02-01 15:42 lorenzo-endian Assigned To => peter-endian
2011-02-10 14:15 ra-endian Category GUI => VPN - OpenVPN
2011-02-18 14:45 ra-endian Status confirmed => closed
2011-02-18 14:45 ra-endian Resolution open => fixed
2011-02-18 14:45 ra-endian Fixed in Version => 2.4.1

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker